"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var date_utils_1 = require("@wojtekmaj/date-utils");
var TileGroup_1 = __importDefault(require("../TileGroup"));
var Decade_1 = __importDefault(require("./Decade"));
var dates_1 = require("../shared/dates");
var propTypes_1 = require("../shared/propTypes");
function Decades(props) {
    var activeStartDate = props.activeStartDate;
    var start = (0, dates_1.getBeginOfCenturyYear)(activeStartDate);
    var end = start + 99;
    return (react_1.default.createElement(TileGroup_1.default, __assign({}, props, { className: "react-calendar__century-view__decades", dateTransform: date_utils_1.getDecadeStart, dateType: "decade", end: end, start: start, step: 10, tile: Decade_1.default })));
}
exports.default = Decades;
Decades.propTypes = __assign({}, propTypes_1.tileGroupProps);
