"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var TileGroup_1 = __importDefault(require("../TileGroup"));
var Year_1 = __importDefault(require("./Year"));
var dates_1 = require("../shared/dates");
var propTypes_1 = require("../shared/propTypes");
function Years(props) {
    var activeStartDate = props.activeStartDate;
    var start = (0, dates_1.getBeginOfDecadeYear)(activeStartDate);
    var end = start + 9;
    return (react_1.default.createElement(TileGroup_1.default, __assign({}, props, { className: "react-calendar__decade-view__years", dateTransform: function (year) {
            var date = new Date();
            date.setFullYear(year, 0, 1);
            date.setHours(0, 0, 0, 0);
            return date;
        }, dateType: "year", end: end, start: start, tile: Year_1.default })));
}
exports.default = Years;
Years.propTypes = __assign({}, propTypes_1.tileGroupProps);
