import React from 'react';
import PropTypes from 'prop-types';
type FlexProps = React.HTMLAttributes<HTMLDivElement> & {
    children: React.ReactElement[];
    className?: string;
    count: number;
    direction?: 'row' | 'column';
    offset?: number;
    wrap?: boolean;
};
declare function Flex({ children, className, count, direction, offset, style, wrap, ...otherProps }: FlexProps): JSX.Element;
declare namespace Flex {
    var propTypes: {
        children: PropTypes.Requireable<PropTypes.ReactNodeLike>;
        className: PropTypes.Requireable<string>;
        count: PropTypes.Validator<number>;
        direction: PropTypes.Requireable<string>;
        offset: PropTypes.Requireable<number>;
        style: PropTypes.Requireable<{
            [x: string]: NonNullable<string | number | null | undefined> | null | undefined;
        }>;
        wrap: PropTypes.Requireable<boolean>;
    };
}
export default Flex;
