import React from 'react';
import PropTypes from 'prop-types';
import type { OnClickWeekNumberFunc } from '../shared/types';
type ButtonProps = Omit<React.ButtonHTMLAttributes<HTMLButtonElement>, 'onClick'> & {
    onClickWeekNumber: OnClickWeekNumberFunc;
};
type DivProps = React.HTMLAttributes<HTMLDivElement> & {
    onClickWeekNumber?: undefined;
};
type WeekNumberProps<T = OnClickWeekNumberFunc | undefined> = (T extends OnClickWeekNumberFunc ? ButtonProps : DivProps) & {
    date: Date;
    weekNumber: number;
};
declare function WeekNumber(props: WeekNumberProps): JSX.Element;
declare namespace WeekNumber {
    var propTypes: {
        date: PropTypes.Validator<Date>;
        onClickWeekNumber: PropTypes.Requireable<(...args: any[]) => any>;
        weekNumber: PropTypes.Validator<NonNullable<PropTypes.ReactNodeLike>>;
    };
}
export default WeekNumber;
