import React from 'react';
import PropTypes from 'prop-types';
import Days from './MonthView/Days';
import Weekdays from './MonthView/Weekdays';
type MonthViewProps = {
    showWeekNumbers?: boolean;
} & React.ComponentProps<typeof Weekdays> & React.ComponentProps<typeof Days>;
declare function MonthView(props: MonthViewProps): JSX.Element;
declare namespace MonthView {
    var propTypes: {
        calendarType: PropTypes.Requireable<"gregory" | "hebrew" | "islamic" | "iso8601" | "Arabic" | "Hebrew" | "ISO 8601" | "US">;
        formatDay: PropTypes.Requireable<(...args: any[]) => any>;
        formatLongDate: PropTypes.Requireable<(...args: any[]) => any>;
        formatShortWeekday: PropTypes.Requireable<(...args: any[]) => any>;
        formatWeekday: PropTypes.Requireable<(...args: any[]) => any>;
        onClickWeekNumber: PropTypes.Requireable<(...args: any[]) => any>;
        onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
        showFixedNumberOfWeeks: PropTypes.Requireable<boolean>;
        showNeighboringMonth: PropTypes.Requireable<boolean>;
        showWeekNumbers: PropTypes.Requireable<boolean>;
        activeStartDate: PropTypes.Validator<Date>;
        hover: PropTypes.Requireable<Date>;
        locale: PropTypes.Requireable<string>;
        maxDate: PropTypes.Validator<Date | null | undefined>;
        minDate: PropTypes.Validator<Date | null | undefined>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        onMouseOver: PropTypes.Requireable<(...args: any[]) => any>;
        tileClassName: PropTypes.Requireable<NonNullable<((...args: any[]) => any) | NonNullable<string | (string | null | undefined)[] | null | undefined> | null | undefined>>;
        tileContent: PropTypes.Requireable<NonNullable<PropTypes.ReactNodeLike | ((...args: any[]) => any)>>;
        value: PropTypes.Requireable<NonNullable<Date | (Date | null | undefined)[] | null | undefined>>;
        valueType: PropTypes.Requireable<string>;
    };
}
export default MonthView;
