/// <reference types="react" />
import PropTypes from 'prop-types';
import type { CalendarType, DeprecatedCalendarType, OnClickWeekNumberFunc } from '../shared/types';
type WeekNumbersProps = {
    activeStartDate: Date;
    calendarType: CalendarType | DeprecatedCalendarType;
    onClickWeekNumber?: OnClickWeekNumberFunc;
    onMouseLeave?: () => void;
    showFixedNumberOfWeeks?: boolean;
};
declare function WeekNumbers(props: WeekNumbersProps): JSX.Element;
declare namespace WeekNumbers {
    var propTypes: {
        activeStartDate: PropTypes.Validator<Date>;
        calendarType: PropTypes.Requireable<"gregory" | "hebrew" | "islamic" | "iso8601" | "Arabic" | "Hebrew" | "ISO 8601" | "US">;
        onClickWeekNumber: PropTypes.Requireable<(...args: any[]) => any>;
        onMouseLeave: PropTypes.Requireable<(...args: any[]) => any>;
        showFixedNumberOfWeeks: PropTypes.Requireable<boolean>;
    };
}
export default WeekNumbers;
